Package org.opensaml.saml.saml2.metadata

# Enum Class ContactPersonTypeEnumeration

java.lang.Object
java.lang.Enum<ContactPersonTypeEnumeration>
org.opensaml.saml.saml2.metadata.ContactPersonTypeEnumeration

All Implemented Interfaces:
  `Serializable`, `Comparable<ContactPersonTypeEnumeration>`, `Constable`

public enum ContactPersonTypeEnumeration extends Enum<ContactPersonTypeEnumeration>
A type safe enumeration of contact types used by `ContactPerson`.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADMINISTRATIVE`
"administrative" contact type.
`BILLING`
"billing" contact type.
`OTHER`
"other" contact type.
`SUPPORT`
"support" contact type.
`TECHNICAL`
"technical" contact type.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`type`
The contact type.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ContactPersonTypeEnumeration(String providedType)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static ContactPersonTypeEnumeration`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ContactPersonTypeEnumeration[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### TECHNICAL

public static final ContactPersonTypeEnumeration TECHNICAL
"technical" contact type.

### SUPPORT

public static final ContactPersonTypeEnumeration SUPPORT
"support" contact type.

### ADMINISTRATIVE

public static final ContactPersonTypeEnumeration ADMINISTRATIVE
"administrative" contact type.

### BILLING

public static final ContactPersonTypeEnumeration BILLING
"billing" contact type.

### OTHER

public static final ContactPersonTypeEnumeration OTHER
"other" contact type.

## Field Details

### type

@Nonnull @NotEmpty private String type
The contact type.

## Constructor Details

### ContactPersonTypeEnumeration

private ContactPersonTypeEnumeration(@Nonnull @NotEmpty String providedType)
Constructor.

Parameters:
  `providedType` - the contact type

## Method Details

### values

public static ContactPersonTypeEnumeration[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ContactPersonTypeEnumeration valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<ContactPersonTypeEnumeration>`